%define name	libnjb
%define version	2.2.5
%define	rel	5
%define release %mkrel %{rel}

%define major	5
%define libname %mklibname njb %{major}

Name: 	 	%{name}
Summary: 	Lightweight C library which eases the writing of UNIX daemons
Version: 	%{version}
Release: 	%{release}

Source0:	http://prdownloads.sourceforge.net/libnjb/%{name}-%{version}.tar.bz2
Source1:	http://banshee-project.org/files/misc/20-njb.fdi.bz2
URL:		http://sourceforge.net/projects/libnjb/
License:	BSD
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  libusb-devel
BuildRequires:  doxygen
%description
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	daemon
Obsoletes:	daemon = %{version}-%{release}
#gw for the hotplug support
Requires:	%name >= %version

%description -n %{libname}
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.
This libraries from %{name}.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%{name}-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --enable-hotplugging
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall hotplugdir=%buildroot%_sysconfdir/hotplug/usb pkgdocdir=`pwd`/installed-docs
#gw TODO fix device ownership
install -D -m 644 nomad.rules %buildroot%_sysconfdir/udev/rules.d/nomad.rules
mkdir -p %buildroot%_datadir/hal/information/20thirdparty/
# gw TODO fix resmgr config in hal according to
# http://banshee-project.org/Releases/0.10.10
bzcat %SOURCE1 > %buildroot%_datadir/hal/information/20thirdparty/20-njb.fdi

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog FAQ HACKING  README LICENSE
%{_bindir}/*
%config(noreplace) %_sysconfdir/hotplug/usb/nomad.usermap
%attr(755,root,root) %config(noreplace) %_sysconfdir/hotplug/usb/nomadjukebox
%config(noreplace) %_sysconfdir/udev/rules.d/nomad.rules
%_datadir/hal/information/20thirdparty/20-njb.fdi

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnjb.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc installed-docs/*
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}.a
%attr(644,root,root) %{_libdir}/%{name}.la
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Sep 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.5-5mdv2007.0
- rebuild

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-4mdv2007.0
- enable hotplugging

* Wed Aug 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.5-3mdv2007.0
- rebuild

* Wed Mar  1 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-2mdk
- fix license
- fix doc listing
- fix buildrequires

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdk
- spec fixes
- source URL
- new version

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdk
- New release 2.2.4

* Fri Oct 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.2-2mdk
- Fix BuildRequires

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2-1mdk
- 2.2
- bump major

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.2-1mdk
- 2.1.2
- new major

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2-1mdk
- 1.2

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- initial mdk release 
